QGIS Application - Bug report #13433

Help text for rpad and Ipad in field calculator are mixed up

2015-09-26 07:43 AM - Kristian Evers

Status: Closed

Priority: Low

Assignee:

Category: Field calculator

Affected QGIS version:master Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21480

Description

The help text for string operations rpad() and Ipad() in the field calculator are mixed up. The help text for rpad() says that the text is
padded as "xxxxxHello' which should be 'Helloxxxxx'. Similarly the help text for Ipad() says text is padded as 'Helloxxxxx' which should be

"xxxxxHello'".
Afflicted files:
QGiIS/resources/function_help/json/rpad

QGiIS/resources/function_help/json/Ipad

Updated versions are attached to this bug report.

Associated revisions

Revision b46cbbe4 - 2015-09-26 09:32 PM - Jiirgen Fischer

fix mixup between Ipad/rpad help (fixes #13433)

Revision a76¢5f62 - 2015-11-26 08:32 PM - Juirgen Fischer

fix rpad/lpad help (fixes #13433)

History

#1 - 2015-09-26 12:33 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"b46cbbe4259b9eecd0b0735f52e26b1ae817352¢".

Files
rpad 418 Bytes 2015-09-26 Kristian Evers
Ipad 417 Bytes 2015-09-26 Kristian Evers
